Skip to content
Start here

Update Address Map

client.Addressing.AddressMaps.Edit(ctx, addressMapID, params) (*AddressMap, error)
PATCH/accounts/{account_id}/addressing/address_maps/{address_map_id}

Modify properties of an address map owned by the account.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Address Maps Write
ParametersExpand Collapse
addressMapID string

Identifier of an Address Map.

maxLength32
params AddressMapEditParams
AccountID param.Field[string]

Path param: Identifier of a Cloudflare account.

maxLength32
DefaultSNI param.Field[string]optional

Body param: If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account.

Description param.Field[string]optional

Body param: An optional description field which may be used to describe the types of IPs or zones on the map.

Enabled param.Field[bool]optional

Body param: Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled.

ReturnsExpand Collapse
type AddressMap struct{…}
ID stringoptional

Identifier of an Address Map.

maxLength32
CanDelete booloptional

If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps.

CanModifyIPs booloptional

If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps.

CreatedAt Timeoptional
formatdate-time
DefaultSNI stringoptional

If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account.

Description stringoptional

An optional description field which may be used to describe the types of IPs or zones on the map.

Enabled booloptional

Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled.

ModifiedAt Timeoptional
formatdate-time

Update Address Map

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  addressMap, err := client.Addressing.AddressMaps.Edit(
    context.TODO(),
    "055817b111884e0227e1be16a0be6ee0",
    addressing.AddressMapEditParams{
      AccountID: cloudflare.F("258def64c72dae45f3e4c8516e2111f2"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", addressMap.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "055817b111884e0227e1be16a0be6ee0",
    "can_delete": true,
    "can_modify_ips": true,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "default_sni": "*.example.com",
    "description": "My Ecommerce zones",
    "enabled": true,
    "modified_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "055817b111884e0227e1be16a0be6ee0",
    "can_delete": true,
    "can_modify_ips": true,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "default_sni": "*.example.com",
    "description": "My Ecommerce zones",
    "enabled": true,
    "modified_at": "2014-01-01T05:20:00.12345Z"
  }
}